org.eclipse.wst.jsdt.js.node.runtime

## Class NodeJSRuntimeProvider

- java.lang.Object
- - org.eclipse.wst.jsdt.js.node.runtime.NodeJSRuntimeProvider

All Implemented Interfaces:
  org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstallProvider

    public class NodeJSRuntimeProvider
    extends java.lang.Object
    implements org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstallProvider

### Constructor Summary

Constructors
Constructor and Description
`NodeJSRuntimeProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Collection<org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstall>` `getJSRuntimeInstallContributions(org.eclipse.wst.jsdt.core.runtime.IJSRuntimeType runtimeType)` Return a collection of runtime install contributions for the runtime type provided by this contributor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeJSRuntimeProvider

    public NodeJSRuntimeProvider()

### Method Detail

#### getJSRuntimeInstallContributions

    public java.util.Collection<org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstall> getJSRuntimeInstallContributions(org.eclipse.wst.jsdt.core.runtime.IJSRuntimeType runtimeType)

Description copied from interface: `org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstallProvider`
Return a collection of runtime install contributions for the runtime type provided by this contributor. NOTE: All runtime installs MUST be created using a call to the received runtimeType#createRuntimeInstall(String) and never instantiating a runtime type itself.

Specified by:
  `getJSRuntimeInstallContributions` in interface `org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstallProvider`
Returns:
  a collection of `IBaseJSRuntimeInstall` which represent valid runtime installations of the given runtime type.